net.i2p.router.web

## Class WebAppConfiguration

- java.lang.Object
- - net.i2p.router.web.WebAppConfiguration

- All Implemented Interfaces:
    Configuration

      public class WebAppConfiguration
      extends Object
      implements Configuration

  Add to the webapp classpath as specified in webapps.config. This allows us to reference classes that are not in the classpath specified in wrapper.config, since old installations have individual jars and not lib/*.jar specified in wrapper.config. A sample line in webapps.config is: webapps.appname.classpath=foo.jar,$I2P/lib/bar.jar Unless $I2P is specified the path will be relative to $I2P/lib for webapps in the installation and appDir/plugins/appname/lib for plugins. Sadly, setting Class-Path in MANIFEST.MF doesn't work for jetty wars. We could look there ourselves, or look for another properties file in the war, but let's just do it in webapps.config. No, wac.addClassPath() does not work. For more info see: http://servlets.com/archive/servlet/ReadMsg?msgId=511113&listName=jetty-support

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.webapp.Configuration

      `Configuration.ClassList`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jetty.webapp.Configuration

      `ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAppConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cloneConfigure(WebAppContext template, WebAppContext context)`
    `void` | `configure(WebAppContext context)`
    `void` | `deconfigure(WebAppContext context)`
    `void` | `destroy(WebAppContext context)`
    `void` | `postConfigure(WebAppContext context)`
    `void` | `preConfigure(WebAppContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebAppConfiguration

          public WebAppConfiguration()

  - ### Method Detail

    - #### cloneConfigure

          public void cloneConfigure(WebAppContext template,
                                     WebAppContext context)

      Specified by:
        `cloneConfigure` in interface `Configuration`

    - #### configure

          public void configure(WebAppContext context)
                         throws Exception

      Specified by:
        `configure` in interface `Configuration`
      Throws:
        `Exception`

    - #### deconfigure

          public void deconfigure(WebAppContext context)

      Specified by:
        `deconfigure` in interface `Configuration`

    - #### destroy

          public void destroy(WebAppContext context)

      Specified by:
        `destroy` in interface `Configuration`

    - #### postConfigure

          public void postConfigure(WebAppContext context)

      Specified by:
        `postConfigure` in interface `Configuration`

    - #### preConfigure

          public void preConfigure(WebAppContext context)

      Specified by:
        `preConfigure` in interface `Configuration`